GFAL-XATTR(1)

NAME
gfal-xattr - show or set attributes of a file

SYNOPSIS
gfal-xattr [ OPTION ]... FILE [ ATTRIBUTE [ = VALUE ]]

DESCRIPTION
gfal-xattr Display attributes of a file or set them to a new value. This command comes in three forms, making it possible, for a specified file, to list all attribute and corresponding values, display the value of a particular attribute or assign a new value to a particular attribute - see examples.

OPTIONS

-h, --help
    show help about the command.

-V, --version
    output version information and exit.

-v, --verbose
    verbose mode. Repeat up to 3 times for the most verbose mode.

-D, --definition DEFINITION
    define properties for gfal2. Definitions have the following syntax: "CONFIG_GROUP:KEY=VALUE"

-t, --timeout TIMEOUT
    global timeout for the execution of the command. Command is interrupted if time expires before it finishes. Note: A grace period of 30 seconds is given to the global timeout.

-E, --cert CERT
    user certificate. (This option takes effect only after X509_USER_PROXY environment variable and default /tmp/x509up_u`id -u` location cannot provide a certificate)

--key KEY
    user private key.

-4  forces Gfal2 to use IPv4 addresses only. (Option valid only for GridFTP protocol)

-6  forces Gfal2 to use IPv6 addresses only. (Option valid only for GridFTP protocol)

-C, --client-info CLIENT_INFO
    provide custom client-side information.

--log-file LOG_FILE
    write Gfal2 library logs to the given file location.

FILE
    file URI

ATTRIBUTE
    optional argument, specifying an attribute to get or set. If no attribute is given, all attributes and corresponding values are displayed.

VALUE
    if an attribute is given, a new value can optionally be assigned to it.

EXAMPLES

Show all attributes and values of a file:
    gfal-xattr srm://endpoint.cern.ch/path/file

Show the value of a particular attribute:
    gfal-xattr srm://endpoint.cern.ch/path/file user.status

Set a new value to an attribute:
    gfal-xattr srm://endpoint.cern.ch/path/file user.status=new_value

Typically, you can get the transport urls (turls) with the "user.replicas" attribute:
    srm://endpoint.cern.ch/path/file user.replicas

FILES
/etc/gfal2.d/*
    All configuration files in this directory affect the behavior of the underlying gfal2.

AUTHORS
Duarte Meneses <duarte.meneses@cern.ch>
Adrien Devresse <adrien.devresse@cern.ch>
Alejandro Alvarez Ayllon <alejandro.alvarez.ayllon@cern.ch>
Andrea Manzi <andrea.manzi@cern.ch>
Mihai Patrascoiu <mihai.patrascoiu@cern.ch>
Joao Lopes <joao.pedro.batista.lopes@cern.ch>

SEE ALSO
gfal-cat(1), gfal-chmod(1), gfal-copy(1), gfal-ls(1), gfal-mkdir(1), gfal-rename(1), gfal-rm(1), gfal-save(1), gfal-stat(1), gfal-sum(1), gfal-token(1), gfal-xattr(1), gfal-evict(1), gfal-bringonline(1), gfal-archivepoll(1)